import requests
import time
from lxml import etree
import webbrowser
headers = {
    'User-Agent': 'Mozilla/5.0(Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/84.0.4147.105 Safari/537.36'
}

eduurl ='http://www.sceea.cn' # 四川教育考试院官网
alll = [] # 定义一个空列表，存放已访问过的标题

while True: # 死循环
    HTMl = requests.get(eduurl, headers=headers).text
    HTMl = etree.HTML(HTMl)
    title = HTMl.xpath('//*[@id="news-left"]/li/a/@title') # 用Xpath获取文章标题
    titletime = HTMl.xpath('//*[@id="news-left"]/li/span/span[2]/text()') # 用Xpath获取发布时间
    urls = HTMl.xpath('//*[@id="news-left"]/li/a/@href') # 用Xpath获取文章连接
    keyword = ['专科', '对口招生', '旅游', '高职'] # 建立一个关键字列表

    for tit in title: # 在所有得到的标题里面遍历
        for key in keyword: # 在所有关键字里面遍历
            if key in tit: # 判断关键字出现在标题中
                if tit in alll: # 判断标题在已访问过的标题列表里面
                    pass # 在里面就不作为
                else: #
                    local = title.index(tit) # 获取标题在标题列表中的位置，用于得到发布时间
                    print(titletime[local] + '  ' + title[local] + '\n') # 打印出发布时间和文章标题
                    url = 'http://www.sceea.cn' + urls[local] # URL的拼接
                    webbrowser.open(url) # 打开浏览器，访问文章
                    alll.append(tit) # 将已访问的标题添加到列表中，防止重复访问
    time.sleep(600) # 设置延迟10分钟，相当于10分钟刷新一次吧
